## django-polymorphic 2.0.2

=== docs/_ext/djangodummy/requirements.txt ===
# for readthedocs
# Remaining requirements are picked up from setup.py
Django==1.11
django-extra-views==0.9.0

## django-polymorphic 0.5.4

=== debian/changelog ===
django-polymorphic (0.5.4-1) unstable; urgency=low

  * Initial release (Closes: #745122).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 17 Apr 2014 12:33:59 +0200

=== debian/control ===
Source: django-polymorphic
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
Build-Depends: debhelper (>= 9),
               python-all,
               python-django (>= 1.4),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: https://github.com/chrisglass/django_polymorphic
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-polymorphic/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-polymorphic/trunk/

Package: python-django-polymorphic
Architecture: all
Depends: python-django (>= 1.4),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-polymorphic-doc
Description: Seamless Polymorphic Inheritance for Django Models
 Django-polymorphic simplifies using inherited models in Django projects. When a
 query is made at the base model, the inherited model classes are returned.
 .
 Features:
  * Full admin integration.
  * ORM integration:
    + Support for ForeignKey, ManyToManyField, OneToOneField descriptors.
    + Support for proxy models.
    + Filtering/ordering of inherited models (ArtProject___artist).
    + Filtering model types: instance_of(...) and not_instance_of(...)
    + Combining querysets of different models (qs3 = qs1 | qs2)
    + Support for custom user-defined managers.
  * Uses the minimum amount of queries needed to fetch the inherited models.
  * Disabling polymorphic behavior when needed.

Package: python-django-polymorphic-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Seamless Polymorphic Inheritance for Django Models (Documentation)
 Django-polymorphic simplifies using inherited models in Django projects. When a
 query is made at the base model, the inherited model classes are returned.
 .
 Features:
  * Full admin integration.
  * ORM integration:
    + Support for ForeignKey, ManyToManyField, OneToOneField descriptors.
    + Support for proxy models.
    + Filtering/ordering of inherited models (ArtProject___artist).
    + Filtering model types: instance_of(...) and not_instance_of(...)
    + Combining querysets of different models (qs3 = qs1 | qs2)
    + Support for custom user-defined managers.
  * Uses the minimum amount of queries needed to fetch the inherited models.
  * Disabling polymorphic behavior when needed.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/_build/.doctrees -N docs docs/_build/html
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
		PYTHONPATH="." $$python runtests.py; \
	done
endif

override_dh_clean:
	rm -rf docs/_build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.rst

## django-polymorphic 0.6

=== debian/changelog ===
django-polymorphic (0.6-1) unstable; urgency=low

  * New upstream release.
  * Drop django-1.7.patch as it is now applied upstream.
  * Bump Standards-Version to 3.9.6.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 20 Oct 2014 11:44:11 +0200

django-polymorphic (0.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Add django-1.7.patch to fix the test-suite with Django 1.7 (Closes:
    #755602).
  * Add dh-python to Build-Depends.
  * Switch buildsystem to pybuild.
  * Remove superfluous install file.
  * Add Python3 support.
  * Update upstream information in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 19 Sep 2014 14:16:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,17 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all,
                python-django (>= 1.4),
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
+               python-sphinx (>= 1.0.7+dfsg),
+               python3-all,
+               python3-django,
+               python3-setuptools,
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Homepage: https://github.com/chrisglass/django_polymorphic
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-polymorphic/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-polymorphic/trunk/
@@ -36,10 +41,35 @@
   * Uses the minimum amount of queries needed to fetch the inherited models.
   * Disabling polymorphic behavior when needed.
 
+Package: python3-django-polymorphic
+Architecture: all
+Depends: python3-django,
+         ${misc:Depends},
+         ${python:Depends}
+Suggests: python-django-polymorphic-doc
+Description: Seamless Polymorphic Inheritance for Django Models (Python3 version)
+ Django-polymorphic simplifies using inherited models in Django projects. When a
+ query is made at the base model, the inherited model classes are returned.
+ .
+ Features:
+  * Full admin integration.
+  * ORM integration:
+    + Support for ForeignKey, ManyToManyField, OneToOneField descriptors.
+    + Support for proxy models.
+    + Filtering/ordering of inherited models (ArtProject___artist).
+    + Filtering model types: instance_of(...) and not_instance_of(...)
+    + Combining querysets of different models (qs3 = qs1 | qs2)
+    + Support for custom user-defined managers.
+  * Uses the minimum amount of queries needed to fetch the inherited models.
+  * Disabling polymorphic behavior when needed.
+ .
+ This package contains the Python 3 version of the library.
+
 Package: python-django-polymorphic-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: Seamless Polymorphic Inheritance for Django Models (Documentation)
  Django-polymorphic simplifies using inherited models in Django projects. When a
  query is made at the base model, the inherited model classes are returned.

## django-polymorphic 0.7.1

=== debian/changelog ===
django-polymorphic (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Really delete django-1.7.patch.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 09:58:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
+Uploaders: Michael Fladischer <fladi@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,

## django-polymorphic 0.8.1

=== debian/changelog ===
django-polymorphic (0.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #806354).
  * Add NEWS file to document backwards incompatible changes.

 -- Michael Fladischer <fladi@debian.org>  Tue, 29 Dec 2015 16:16:34 +0100

django-polymorphic (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 06 Oct 2015 14:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/chrisglass/django_polymorphic
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-polymorphic/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-polymorphic/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-polymorphic.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-polymorphic.git
 
 Package: python-django-polymorphic
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-polymorphic

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/_build/.doctrees -N docs docs/_build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r) $(shell py3versions -r); do \
		PYTHONPATH="." $$python runtests.py; \
	done
endif

override_dh_clean:
	rm -rf docs/_build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.rst

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?([\d\.]+)\.tar\.gz/django-polymorphic-$1.tar.gz/ \
https://github.com/chrisglass/django_polymorphic/releases \
/chrisglass/django_polymorphic/archive/v?([\d\.]+)\.tar\.gz

## django-polymorphic 0.9.2

=== debian/changelog ===
django-polymorphic (0.9.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Remove version from python-django for Depends and Build-Depends.
  * Switch to python3-sphinx and drop versioned Build-Depends.

 -- Michael Fladischer <fladi@debian.org>  Thu, 12 May 2016 15:05:00 +0200

django-polymorphic (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.7.
  * Use https in Vcs-Git field.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Feb 2016 10:56:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-django (>= 1.4),
+               python-django,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
                python3-all,
                python3-django,
                python3-setuptools,
-Standards-Version: 3.9.6
+               python3-sphinx
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/chrisglass/django_polymorphic
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-polymorphic.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-polymorphic.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-polymorphic.git
 
 Package: python-django-polymorphic
 Architecture: all
-Depends: python-django (>= 1.4),
+Depends: python-django,
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-django-polymorphic-doc

## django-polymorphic 1.0.2

=== debian/changelog ===
django-polymorphic (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Oct 2016 09:37:09 +0200

django-polymorphic (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Drop manager inheritance patch, fixed upstream.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Sep 2016 09:46:31 +0200

django-polymorphic (1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #828654).
  * Add patch to use local objects.inv files for intersphinx mappings
    (Closes: #830414).
  * Update homepage URL.
  * Use new repository URL in d/watch.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Sat, 03 Sep 2016 22:31:56 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Homepage: https://github.com/chrisglass/django_polymorphic
+Homepage: https://github.com/django-polymorphic/django-polymorphic
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-polymorphic.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-polymorphic.git

## django-polymorphic 1.3

=== debian/changelog ===
django-polymorphic (1.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Refresh patches for 1.3.

 -- Michael Fladischer <fladi@debian.org>  Tue, 08 Aug 2017 10:55:10 +0200

django-polymorphic (1.2-1) unstable; urgency=low

  * Upload to unstable (Closes: #865935).
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 13 Jul 2017 22:35:31 +0200

django-polymorphic (1.2-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 May 2017 15:43:27 +0200

django-polymorphic (1.1-1~exp1) experimental; urgency=low

  * New upstream release.
  * Add python3-sphinx-rtd-theme to Build-Depends.
  * Add python3-django-extra-views to Build-Depends so sphinx can use
    it.
  * Add python(3)-django-extra-views to Recommends.
  * Use correct python3:Depends helper for Python3 package.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Mar 2017 13:23:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
                python-setuptools,
                python3-all,
                python3-django,
+               python3-django-extra-views,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 3.9.8
+               python3-sphinx,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/django-polymorphic/django-polymorphic
@@ -24,6 +26,7 @@
 Depends: python-django,
          ${misc:Depends},
          ${python:Depends}
+Recommends: python-django-extra-views
 Suggests: python-django-polymorphic-doc
 Description: Seamless Polymorphic Inheritance for Django Models
  Django-polymorphic simplifies using inherited models in Django projects. When a
@@ -45,7 +48,8 @@
 Architecture: all
 Depends: python3-django,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
+Recommends: python3-django-extra-views
 Suggests: python-django-polymorphic-doc
 Description: Seamless Polymorphic Inheritance for Django Models (Python3 version)
  Django-polymorphic simplifies using inherited models in Django projects. When a

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
 	for python in $(shell pyversions -r) $(shell py3versions -r); do \
-		PYTHONPATH="." $$python runtests.py; \
+		PYTHONPATH=".:docs/_ext" $$python runtests.py; \
 	done
 endif

## django-polymorphic 2.0.2

=== debian/changelog ===
django-polymorphic (2.0.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Feb 2018 09:46:38 +0100

django-polymorphic (2.0-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Refresh patches.
  * Add patch to remove dependency on dj_database_url in tests.
  * Remove lintian override for missing GPG signature check on source
    tarball to serve as a reminder to improve on this.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper compatibility and version to 11.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.
  * Build documentation in override_dh_sphinxdoc.

 -- Michael Fladischer <fladi@debian.org>  Sun, 04 Feb 2018 14:12:43 +0100

=== debian/control ===
Source: django-polymorphic
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-django,
 python-setuptools,
 python3-all,
 python3-django,
 python3-django-extra-views,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.1.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/django-polymorphic/django-polymorphic
Vcs-Git: https://salsa.debian.org/python-team/modules/django-polymorphic.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-polymorphic
Testsuite: autopkgtest-pkg-python

Package: python-django-polymorphic
Architecture: all
Depends:
 python-django,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-django-extra-views,
Suggests:
 python-django-polymorphic-doc,
Description: Seamless Polymorphic Inheritance for Django Models
 Django-polymorphic simplifies using inherited models in Django projects. When a
 query is made at the base model, the inherited model classes are returned.
 .
 Features:
  * Full admin integration.
  * ORM integration:
    + Support for ForeignKey, ManyToManyField, OneToOneField descriptors.
    + Support for proxy models.
    + Filtering/ordering of inherited models (ArtProject___artist).
    + Filtering model types: instance_of(...) and not_instance_of(...)
    + Combining querysets of different models (qs3 = qs1 | qs2)
    + Support for custom user-defined managers.
  * Uses the minimum amount of queries needed to fetch the inherited models.
  * Disabling polymorphic behavior when needed.

Package: python-django-polymorphic-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Seamless Polymorphic Inheritance for Django Models (Documentation)
 Django-polymorphic simplifies using inherited models in Django projects. When a
 query is made at the base model, the inherited model classes are returned.
 .
 Features:
  * Full admin integration.
  * ORM integration:
    + Support for ForeignKey, ManyToManyField, OneToOneField descriptors.
    + Support for proxy models.
    + Filtering/ordering of inherited models (ArtProject___artist).
    + Filtering model types: instance_of(...) and not_instance_of(...)
    + Combining querysets of different models (qs3 = qs1 | qs2)
    + Support for custom user-defined managers.
  * Uses the minimum amount of queries needed to fetch the inherited models.
  * Disabling polymorphic behavior when needed.
 .
 This package contains the documentation.

Package: python3-django-polymorphic
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-django-extra-views,
Suggests:
 python-django-polymorphic-doc,
Description: Seamless Polymorphic Inheritance for Django Models (Python3 version)
 Django-polymorphic simplifies using inherited models in Django projects. When a
 query is made at the base model, the inherited model classes are returned.
 .
 Features:
  * Full admin integration.
  * ORM integration:
    + Support for ForeignKey, ManyToManyField, OneToOneField descriptors.
    + Support for proxy models.
    + Filtering/ordering of inherited models (ArtProject___artist).
    + Filtering model types: instance_of(...) and not_instance_of(...)
    + Combining querysets of different models (qs3 = qs1 | qs2)
    + Support for custom user-defined managers.
  * Uses the minimum amount of queries needed to fetch the inherited models.
  * Disabling polymorphic behavior when needed.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,19 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-polymorphic
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/_build/.doctrees -N docs docs/_build/html
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-django-polymorphic-doc/usr/share/doc/python-django-polymorphic-doc/html
+	dh_sphinxdoc
+endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## django-polymorphic 2.0.3

=== debian/changelog ===
django-polymorphic (2.0.3-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Aug 2018 12:22:35 +0200

django-polymorphic (2.0.2-2) unstable; urgency=medium

  * Add python(3)-pkg-resources to Depends (Closes: #896261, #896349).
  * Bump Standards-Version to 4.1.4.
  * Bump minimum Python2 version to 2.7 and Python3 to 3.4 according to
    upstream setup.cfg.

 -- Michael Fladischer <fladi@debian.org>  Wed, 02 May 2018 20:34:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-django-polymorphic-doc/usr/share/doc/python-django-polymorphic-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-polymorphic-doc/usr/share/doc/python-django-polymorphic-doc/html
 	dh_sphinxdoc
 endif

## django-polymorphic 2.1.2

=== docs/_ext/djangodummy/requirements.txt ===
# for readthedocs
# Remaining requirements are picked up from setup.py
Django == 2.2.3
django-extra-views == 0.12.0
sphinxcontrib-django == 0.4

=== debian/changelog ===
django-polymorphic (2.1.2-2) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 20 Aug 2019 12:43:41 +0500

django-polymorphic (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.
  * Install README.rst in binary package.
  * Add patch to disable sphinxcontrib_django extension, it has not been
    packaged yet.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jul 2019 09:15:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,50 +5,19 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
- python-django,
- python-setuptools,
  python3-all,
  python3-django,
  python3-django-extra-views,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.4.0
 Homepage: https://github.com/django-polymorphic/django-polymorphic
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-polymorphic.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-polymorphic
 Testsuite: autopkgtest-pkg-python
-
-Package: python-django-polymorphic
-Architecture: all
-Depends:
- python-django,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- python-django-extra-views,
-Suggests:
- python-django-polymorphic-doc,
-Description: Seamless Polymorphic Inheritance for Django Models
- Django-polymorphic simplifies using inherited models in Django projects. When a
- query is made at the base model, the inherited model classes are returned.
- .
- Features:
-  * Full admin integration.
-  * ORM integration:
-    + Support for ForeignKey, ManyToManyField, OneToOneField descriptors.
-    + Support for proxy models.
-    + Filtering/ordering of inherited models (ArtProject___artist).
-    + Filtering model types: instance_of(...) and not_instance_of(...)
-    + Combining querysets of different models (qs3 = qs1 | qs2)
-    + Support for custom user-defined managers.
-  * Uses the minimum amount of queries needed to fetch the inherited models.
-  * Disabling polymorphic behavior when needed.
 
 Package: python-django-polymorphic-doc
 Section: doc
@@ -78,6 +47,7 @@
 Architecture: all
 Depends:
  python3-django,
+ python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?([\d\.]+)\.tar\.gz/django-polymorphic-$1.tar.gz/ \
https://github.com/django-polymorphic/django-polymorphic/releases \
/django-polymorphic/django-polymorphic/archive/v?([\d\.]+)\.tar\.gz

## django-polymorphic 3.0.0

=== docs/_ext/djangodummy/requirements.txt ===
# for readthedocs
# Remaining requirements are picked up from setup.py
Django == 2.2.13
django-extra-views == 0.12.0
sphinxcontrib-django == 0.4

=== debian/changelog ===
django-polymorphic (3.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 14:33:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: django-polymorphic
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,
@@ -13,11 +13,12 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/django-polymorphic/django-polymorphic
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-polymorphic.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-polymorphic
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-polymorphic.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-polymorphic
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-polymorphic-doc
 Section: doc

## django-polymorphic 3.1

=== docs/_ext/djangodummy/requirements.txt ===
# for readthedocs
# Remaining requirements are picked up from setup.py
Django == 3.2.9
django-extra-views == 0.14.0
sphinxcontrib-django == 0.5.1

=== debian/changelog ===
django-polymorphic (3.1-3) unstable; urgency=medium

  * Team upload.
  * Port to Django 5.1:
    - Modernize spelling for assertQuerySetEqual.
    - Handle None in PolymorphicQuerySet._process_aggregate_args.
  * Remove obsolete Python 2 handling from debian/rules.
  * Simplify some debhelper overrides slightly.
  * Simplify build-time tests using pybuild.
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Dec 2024 12:17:27 +0000

django-polymorphic (3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-django-polymorphic-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:08:27 +0000

django-polymorphic (3.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 23 Nov 2021 13:28:13 +0000

django-polymorphic (3.0.0-2) unstable; urgency=medium

  [ Diego M. Rodriguez ]
  * Team upload.
  * d/watch: update to github new URLs
  * d/tests: specify import name

  [ Michael Fladischer ]
  * Bump Standards-Version to 4.6.0.
  * Add patch to not exclude tests from getting installed.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 14 Sep 2021 07:42:56 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
  python3-django-extra-views,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/django-polymorphic/django-polymorphic
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-polymorphic.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-polymorphic
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python-django-polymorphic-doc
@@ -26,6 +27,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Seamless Polymorphic Inheritance for Django Models (Documentation)
  Django-polymorphic simplifies using inherited models in Django projects. When a
  query is made at the base model, the inherited model classes are returned.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME := django-polymorphic
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := PYTHONPATH=.:docs/_ext {interpreter} runtests.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_before_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-polymorphic-doc/usr/share/doc/python-django-polymorphic-doc/html
endif

execute_before_dh_clean:
	rm -rf docs/_build

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.rst

## django-polymorphic 4.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-polymorphic.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-polymorphic.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-polymorphic"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-polymorphic"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/_ext/djangodummy/requirements.txt ===
# for readthedocs
# Remaining requirements are picked up from setup.py
Django == 3.2.25
django-extra-views == 0.14.0
sphinxcontrib-django == 0.5.1
sphinx_rtd_theme==2.0.0

=== debian/changelog ===
django-polymorphic (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Drop dependency on python3-pkg-resources (Closes: #1083366)
  * Refresh patches
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 00:25:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-django,
@@ -50,7 +50,6 @@
 Architecture: all
 Depends:
  python3-django,
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## django-polymorphic 4.1.0

=== docs/_ext/djangodummy/requirements.txt ===
# for readthedocs
# Remaining requirements are picked up from setup.py
Django == 4.2.18
django-extra-views == 0.14.0
sphinxcontrib-django == 0.5.1
sphinx_rtd_theme==2.0.0

=== debian/changelog ===
django-polymorphic (4.1.0-1) unstable; urgency=low

  * New upstream version 4.1.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.
  * Use python3-sphinxcontrib.django in documentation, dropping patch to
    remove it.

 -- Michael Fladischer <fladi@debian.org>  Mon, 11 Aug 2025 11:23:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+ python3-sphinxcontrib.django,
+Standards-Version: 4.7.2
 Homepage: https://github.com/django-polymorphic/django-polymorphic
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-polymorphic.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-polymorphic

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 export PYBUILD_NAME := django-polymorphic
 export PYBUILD_TEST_CUSTOM := 1
-export PYBUILD_TEST_ARGS := PYTHONPATH=.:docs/_ext {interpreter} runtests.py
+#export PYBUILD_TEST_ARGS := PYTHONPATH=.:docs/_ext {interpreter} runtests.py
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 execute_before_dh_sphinxdoc:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%django-polymorphic-$1.tar.gz%" \
https://github.com/django-polymorphic/django-polymorphic/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## django-polymorphic 4.10.2

=== debian/changelog ===
django-polymorphic (4.10.2-1) unstable; urgency=low

  * New upstream version 4.10.2
  * Refresh patches.
  * Add documentation packages to Build-Depends to utilize local objects.inv:
    - python-django-doc
    - python-django-extra-views-doc
    - python-django-guardian-doc
    - python-django-reversion-doc
    - python3-doc
  * Replace python3-setuptools with python3-hatchling in Build-Depends.
  * README.rst was renamed to README.md.
  * Add patch to remove remote badges to prevent privacy issues.
  * Add furo and python3-django-guardian to Build-Depends, required to build
    the documentation.
  * Use \$(CURDIR) in d/rules and fix paths.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Add Expat license for files in src/polymorphic/contrib/drf/.
  * Update year in d/copyright.
  * Clean up extraneous license file.
  * Use uscan version 5.

 -- Michael Fladischer <fladi@debian.org>  Sat, 17 Jan 2026 20:37:25 +0000

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,26 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ furo,
  pybuild-plugin-pyproject,
+ python-django-doc,
+ python-django-extra-views-doc,
+ python-django-guardian-doc,
+ python-django-reversion-doc,
  python3-all,
  python3-django,
+ python3-django-guardian,
  python3-django-extra-views,
- python3-setuptools,
+ python3-doc,
+ python3-hatchling,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.django,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/django-polymorphic/django-polymorphic
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-polymorphic.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-polymorphic
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python-django-polymorphic-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,16 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
+execute_after_dh_auto_install:
+	rm -f $(CURDIR)/debian/python3-django-polymorphic/usr/lib/python3.*/dist-packages/polymorphic/contrib/drf/LICENSE
+
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 execute_before_dh_sphinxdoc:
-	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-polymorphic-doc/usr/share/doc/python-django-polymorphic-doc/html
+	PYTHONPATH=$(CURDIR)/src python3 -m sphinx -b html -N $(CURDIR)/docs/ $(CURDIR)/debian/python-django-polymorphic-doc/usr/share/doc/python-django-polymorphic-doc/html
 endif
 
 execute_before_dh_clean:
-	rm -rf docs/_build
+	rm -rf $(CURDIR)/docs/_build
 
 override_dh_installchangelogs:
-	dh_installchangelogs -- docs/changelog.rst
+	dh_installchangelogs -- $(CURDIR)/docs/changelog/index.rst

=== debian/watch ===
version=5
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%django-polymorphic-$1.tar.gz%" \
https://github.com/django-polymorphic/django-polymorphic/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
